Bug 384357 - Breeze theme Task Manager icon for Virtualbox doesn't match what's shown in the Task Switcher, and departs entirely from the real VirtualBox icon's general appearance
Summary: Breeze theme Task Manager icon for Virtualbox doesn't match what's shown in t...
Status: RESOLVED FIXED
Alias: None
Product: Breeze
Classification: Unclassified
Component: Icons (show other bugs)
Version: 5.9.4
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: visual-design
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-04 16:48 UTC by Nate Graham
Modified: 2018-04-07 16:23 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Jarring discrepancy between Virtualbox app icon and Breeze-themed icon (823.88 KB, image/png)
2017-09-04 16:48 UTC, Nate Graham
Details
Rough for icon (1.44 KB, image/png)
2017-09-08 17:01 UTC, Jens Reuterberg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2017-09-04 16:48:37 UTC
Created attachment 107690 [details]
Jarring discrepancy between Virtualbox app icon and Breeze-themed icon

The Breeze theme icon for Virtualbox is ugly and nondescript. It's nothing more than alternating black and gray lines with little green dots. It's impossible to tell what it's supposed to represent, and its dark, blocky, rectangular shape makes is look rather unattractive and muddy.

Furthermore, it's *very* far from the Application's own icon shown in the task switcher. Usually themes app icons have at least some visual relation to the original developer-provided icon, but in this case there appears to be no relationship.

I've attached a screenshot that shows the discrepancy. As you can see, of all the programs I have running, Virtualbox is the only one whose Task Manager icon is radically different from its Task Switcher icon.
Comment 1 andreas 2017-09-04 19:24:51 UTC
the black box is a server rack where different systems are running.
Comment 2 Nate Graham 2017-09-04 19:28:59 UTC
I'm a DevOps engineer, I know what a server rack looks like. If that's what it's supposed to depict, it's far too abstract and minimalistic. And I wasn't asking for clarification regarding what the icon was supposed to be, I was saying that it's:

1. Ugly (an opinion)
2. Wildly inconsistent with the app-provided icon (a fact)

Even if you disagree with my aesthetic observation for #1 (which reasonable people can disagree on), #2 is a statement of fact that exposes a usability issue. Please reconsider.
Comment 3 Nate Graham 2017-09-04 19:44:59 UTC
Another point: It's a bit unfair to Oracle to completely erase their app's branding and visual identity with our own icon. The rest of the Breeze theme app icons for 3rd party apps retain some visual connection with the original--usually a very strong one; most are just flattened versions of the original, rendered with brighter colors (e.g. GIMP, Inkscale, Clementine, Darktable, Handbrake, LibreOffice, Matlab).

Even icons that substantially change the style retain the essence of the original; for example the Breeze VLC icon depicts a video player window, with with the iconic orange traffic cone inside it.

As far as I can tell, the VirtualBox icon is alone in how it completely erases the branding and visual connection with the original developer-provided icon.
Comment 4 Nate Graham 2017-09-04 20:27:15 UTC
In fact, if we simply delete virtualbox's custom icon from the Breeze theme, the issue goes away, IMHO. The existing icon is bold and flat, just like other Breeze theme icons. It fits in perfectly, no custom icon needed.
Comment 5 Francis Herne 2017-09-08 13:49:00 UTC
See also https://bugs.kde.org/show_bug.cgi?id=354370 (fixed now).

Someone looking for an application (or a window of it, etc.) is very likely to know what its upstream icon looks like.

They won't be scanning for abstract concepts that might represent the application*, they'll be scanning for their known image of the app's icon.

It's fine to change the shading/perspective and palette to suit Breeze's appearance, but if the main elements and colours don't match it becomes impossible to recognise as the same icon.

Even if you assume people use only Breeze and never switch between icon themes (e.g. home/work computers), the upstream icon is used on websites, in package-manager metadata and so on. Having to recognise a completely different icon for the same purpose depending on the context is a problem.


*Aside, I don't find the current icon to be representative. After all, the whole point of a VM is that you /don't/ need multiple machines. Also, 'server racks' are used in several other Breeze icons to represent network-shares and other remote devices.
Comment 6 Jens Reuterberg 2017-09-08 13:56:09 UTC
(In reply to Nate Graham from comment #4)
> In fact, if we simply delete virtualbox's custom icon from the Breeze theme,
> the issue goes away, IMHO. The existing icon is bold and flat, just like
> other Breeze theme icons. It fits in perfectly, no custom icon needed.

The upstream icon in current version isn't good enough and would have to be replaced with something that follows the standard.
Comment 7 Jens Reuterberg 2017-09-08 17:01:45 UTC
Created attachment 107760 [details]
Rough for icon

Just a rough example to see if its still recognizable as the VM icon (its not much to on in it)
Comment 8 Nate Graham 2017-09-08 17:05:35 UTC
Hey, that's not too bad! The angle and color of the shape kind of remind me of the Windows logo, though: https://en.wikipedia.org/wiki/File:Windows_logo_-_2012.svg
Comment 9 Nate Graham 2018-01-30 21:12:33 UTC
FWIW, this is a subtask of https://phabricator.kde.org/T7682. Would be great to knock this one out.
Comment 10 Nate Graham 2018-02-01 20:10:21 UTC
Git commit 67ebd2013e51d1ae129a02962fdf70d3d9852b49 by Nathaniel Graham, on behalf of Linus Shoravi.
Committed on 01/02/2018 at 20:10.
Pushed by ngraham into branch 'master'.

New virtualbox icon

Summary:

Here's a candidate for a virtualbox icon.

Should be completely in line with breeze specs.

{F5685815}

{F5685789}

Reviewers: #breeze, ngraham, #vdg, andreaska

Reviewed By: #breeze, ngraham, #vdg, andreaska

Subscribers: ltoscano, davidc, #frameworks

Tags: #frameworks

Differential Revision: https://phabricator.kde.org/D10212

M  +299  -40   icons-dark/apps/48/virtualbox.svg
M  +299  -40   icons/apps/48/virtualbox.svg

https://commits.kde.org/breeze-icons/67ebd2013e51d1ae129a02962fdf70d3d9852b49